## memcached 1.5.6

=== doc/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/memcached
pkgincludedir = $(includedir)/memcached
pkglibdir = $(libdir)/memcached
pkglibexecdir = $(libexecdir)/memcached
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
#am__append_1 = protocol-binary.txt protocol-binary-range.txt
subdir = doc
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/version.m4 \
	$(top_srcdir)/m4/c99-backport.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
man1dir = $(mandir)/man1
am__installdirs = "$(DESTDIR)$(man1dir)"
NROFF = nroff
MANS = $(man_MANS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/dormando/d/p/danga/git/memcached/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AUTOCONF = ${SHELL} /home/dormando/d/p/danga/git/memcached/missing autoconf
AUTOHEADER = ${SHELL} /home/dormando/d/p/danga/git/memcached/missing autoheader
AUTOMAKE = ${SHELL} /home/dormando/d/p/danga/git/memcached/missing automake-1.15
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -pthread -pthread -Wall -Werror -pedantic -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DTRACE = 
DTRACEFLAGS = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
ENABLE_SASL = 
EXEEXT = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -levent 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/dormando/d/p/danga/git/memcached/missing makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = memcached
PACKAGE_BUGREPORT = memcached@googlegroups.com
PACKAGE_NAME = memcached
PACKAGE_STRING = memcached 1.5.6
PACKAGE_TARNAME = memcached
PACKAGE_URL = 
PACKAGE_VERSION = 1.5.6
PATH_SEPARATOR = :
PROFILER = /usr/bin/gcov
PROFILER_FLAGS = -fprofile-arcs -ftest-coverage
PROFILER_LDFLAGS = -lgcov
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
VERSION = 1.5.6
XML2RFC = /usr/bin/xml2rfc
XSLTPROC = no
abs_builddir = /home/dormando/d/p/danga/git/memcached/doc
abs_srcdir = /home/dormando/d/p/danga/git/memcached/doc
abs_top_builddir = /home/dormando/d/p/danga/git/memcached
abs_top_srcdir = /home/dormando/d/p/danga/git/memcached
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/dormando/d/p/danga/git/memcached/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
man_MANS = memcached.1
EXTRA_DIST = *.txt
BUILT_SOURCES = $(am__append_1)
#MOSTLYCLEANFILES = protocol-binary.txt protocol-binary-range.txt
all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign doc/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-man1: $(man_MANS)
	@$(NORMAL_INSTALL)
	@list1=''; \
	list2='$(man_MANS)'; \
	test -n "$(man1dir)" \
	  && test -n "`echo $$list1$$list2`" \
	  || exit 0; \
	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
	{ for i in $$list1; do echo "$$i"; done;  \
	if test -n "$$list2"; then \
	  for i in $$list2; do echo "$$i"; done \
	    | sed -n '/\.1[a-z]*$$/p'; \
	fi; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
	done; }

uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list=''; test -n "$(man1dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.1[a-z]*$$/p'; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \

=== debian/changelog ===
memcached (1.5.6-0ubuntu1.2) bionic-security; urgency=medium

  * SECURITY UPDATE: stack-based buffer over-read
    - debian/patches/CVE-2019-15026.patch: fix strncpy call to
      avoid ASAN violation in memcached.c.
    - CVE-2019-15026

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 05 Sep 2019 12:38:44 -0300

memcached (1.5.6-0ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: denial of service via crafted lru messages
    - debian/patches/CVE-2019-11596.patch: fix off by one in token count in
      memcached.c.
    - CVE-2019-11596

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 30 Apr 2019 14:33:22 -0400

memcached (1.5.6-0ubuntu1) bionic; urgency=medium

  * New upstream bugfix release (LP: #1753839).
  * d/p/disable-udp-by-default.patch: drop (now upstream).
  * d/p/02_service_wrapper.patch: refresh to remove fuzz.
  * d/p/restore-systemd-sandboxing: restore sandboxing in memcached.service
    removed by upstream in 1.5.6 to avoid feature regression (LP: #1755460).

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 13 Mar 2018 09:59:06 +0000

memcached (1.5.4-1ubuntu3) bionic; urgency=medium

  * SECURITY UPDATE: disable listening on UDP port by default due to
    use in DDoS amplification attacks
    - debian/patches/disable-udp-by-default.patch: disable UDP port by
      default. (LP: #1752831)
    - debian/NEWS: add explanation and document how to re-enable UDP if
      necessary.

 -- Steve Beattie <sbeattie@ubuntu.com>  Fri, 02 Mar 2018 10:24:18 -0800

memcached (1.5.4-1ubuntu2) bionic; urgency=medium

  * rules: Disable tests on armhf, they hang the build.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Mar 2018 18:50:25 +0200

memcached (1.5.4-1ubuntu1) bionic; urgency=low

  * Merge with Debian unstable.
    - Fixes build failure with gcc-7; LP: #1724856.
  * Remaining changes:
    - added patch to show distribution on version
    - Force alignment on in configure.ac
    - disable unreliable test.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Mar 2018 16:58:09 +0200

memcached (1.5.4-1) unstable; urgency=medium

  * New upstream release
  * Bumped policy version to 4.1.2
    + Use debhelper 10 and remove dh-systemd in Build-Depends
    + Remove dh_autotools-dev in debian/rules
  * Set myself as Maintainer as David is MIA (Closes: #843438)

 -- Guillaume Delacour <gui@iroqwa.org>  Tue, 09 Jan 2018 21:24:38 +0100

memcached (1.5.1-1) unstable; urgency=medium

  * New upstream release
    + Fix t/stats.t failures (Closes: #871600)
    + Update debian/patches/07_disable_tests.patch
  * Provide upstream hardened systemd service file (Closes: #871610)
    + Provide option to use a pidfile in service (Closes: #856568) and modify
    /etc/memcached.conf to generate it

 -- Guillaume Delacour <gui@iroqwa.org>  Wed, 20 Sep 2017 21:41:49 +0200

memcached (1.5.0-1) unstable; urgency=medium

  * New upstream release (Closes: #853544, #869479)
   + Fix CVE-2017-9951 (Closes: #868701)
   + Automated slab rebalancing
  * Remove ship mc_slab_mover script as upstream don't ship it anymore
  * Refresh 01_init_script_additions.patch (status implemented upstream)
  * Refresh 04_add_init_retry.patch
  * Bumped policy version to 4.0.0 (no changes needed)

 -- Guillaume Delacour <gui@iroqwa.org>  Mon, 24 Jul 2017 01:13:20 +0200

=== debian/control ===
Source: memcached
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guillaume Delacour <gui@iroqwa.org>
Build-Depends: debhelper (>> 10), libevent-dev, libsasl2-dev, adduser,
               autotools-dev, dh-autoreconf
Homepage: http://www.memcached.org/
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/memcached.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/memcached.git

Package: memcached
Architecture: any
Depends: ${shlibs:Depends}, perl, ${misc:Depends}, lsb-base (>= 3.2-13),
         adduser
Suggests: libcache-memcached-perl, libmemcached, libanyevent-perl,
          libyaml-perl, libterm-readkey-perl
Description: high-performance memory object caching system
 Danga Interactive developed memcached to enhance the speed of LiveJournal.com,
 a site which was already doing 20 million+ dynamic page views per day for 1
 million users with a bunch of webservers and a bunch of database servers.
 memcached dropped the database load to almost nothing, yielding faster page
 load times for users, better resource utilization, and faster access to the
 databases on a memcache miss.
 .
 memcached optimizes specific high-load serving applications that are designed
 to take advantage of its versatile no-locking memory access system. Clients
 are available in several different programming languages, to suit the needs
 of the specific application. Traditionally this has been used in mod_perl
 apps to avoid storing large chunks of data in Apache memory, and to share
 this burden across several machines.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

PKGBASE=debian/memcached/usr/share/memcached
SCRIPTS=$(PKGBASE)/scripts
UPSTREAM_AUTOCONF_GENERATED_FILES = aclocal.m4 configure \
	doc/Makefile

override_dh_auto_configure:
	dh_auto_configure -- --enable-sasl

override_dh_auto_install:
	dh_auto_install
	install -m 644 $(CURDIR)/debian/memcached.conf \
		$(CURDIR)/$(PKGBASE)/memcached.conf.default
	install -m 744 $(CURDIR)/scripts/start-memcached $(SCRIPTS)
	install -m 755 $(CURDIR)/debian/systemd-memcached-wrapper $(SCRIPTS)
	install -m 744 $(CURDIR)/scripts/memcached-tool $(SCRIPTS)
	install -m 755 $(CURDIR)/scripts/memcached-init \
		$(CURDIR)/debian/memcached.init
	install -m 755 $(CURDIR)/scripts/memcached.service \
		$(CURDIR)/debian/memcached.service
	# Check for LP: #1755460
	if grep -i '##safer##' $(CURDIR)/debian/memcached.service >/dev/null 2>&1; then echo "ERROR: debian/patches/restore-systemd-sandboxing is incomplete; please see LP: #1755460" >&2; exit 1; fi
	install -m 755 $(CURDIR)/scripts/damemtop $(SCRIPTS)
	install -m 644 $(CURDIR)/scripts/damemtop.yaml $(SCRIPTS)
	install -m 644 $(CURDIR)/scripts/README.damemtop $(SCRIPTS)

override_dh_auto_clean:
	dh_auto_clean
	rm --force $(CURDIR)/debian/memcached.init


override_dh_auto_test:
  ifeq (,$(filter $(DEB_HOST_ARCH), armhf))
	dh_auto_test
  endif


%:
	dh $@ --parallel --with systemd,autoreconf

## memcached 1.5.10

=== doc/Makefile ===
--- 
+++ 
@@ -191,10 +191,10 @@
 PACKAGE = memcached
 PACKAGE_BUGREPORT = memcached@googlegroups.com
 PACKAGE_NAME = memcached
-PACKAGE_STRING = memcached 1.5.6
+PACKAGE_STRING = memcached 1.5.10
 PACKAGE_TARNAME = memcached
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.5.6
+PACKAGE_VERSION = 1.5.10
 PATH_SEPARATOR = :
 PROFILER = /usr/bin/gcov
 PROFILER_FLAGS = -fprofile-arcs -ftest-coverage
@@ -202,7 +202,7 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = 
-VERSION = 1.5.6
+VERSION = 1.5.10
 XML2RFC = /usr/bin/xml2rfc
 XSLTPROC = no
 abs_builddir = /home/dormando/d/p/danga/git/memcached/doc

=== debian/changelog ===
memcached (1.5.10-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Includes fixes for various failures on various architectures,
    including the fix for alignment issues on some ARM platforms for
    chunked items (LP: #1780838).

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 13 Aug 2018 13:10:37 +0100

memcached (1.5.6-1) unstable; urgency=medium

  * New upstream release
    + Fix CVE-2018-1000115 (UDP is no more enabled by default)
    + Update debian/patches/02_service_wrapper.patch
    + Update debian/tests/client.pl to verify that UDP is disabled by default
  * Remove generated debian/memcached.service
  * Bumped policy version to 4.1.3

 -- Guillaume Delacour <gui@iroqwa.org>  Tue, 06 Mar 2018 18:59:39 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>> 10), libevent-dev, libsasl2-dev, adduser,
                autotools-dev, dh-autoreconf
 Homepage: http://www.memcached.org/
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/memcached.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/memcached.git

## memcached 1.5.22

=== doc/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.15 from Makefile.am.
+# Makefile.in generated by automake 1.15.1 from Makefile.am.
 # doc/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2014 Free Software Foundation, Inc.
+# Copyright (C) 1994-2017 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -87,7 +87,8 @@
 POST_UNINSTALL = :
 build_triplet = x86_64-pc-linux-gnu
 host_triplet = x86_64-pc-linux-gnu
-#am__append_1 = protocol-binary.txt protocol-binary-range.txt
+am__append_1 = $(SPECIFICATIONS)
+am__append_2 = $(SPECIFICATIONS)
 subdir = doc
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/version.m4 \
@@ -191,10 +192,10 @@
 PACKAGE = memcached
 PACKAGE_BUGREPORT = memcached@googlegroups.com
 PACKAGE_NAME = memcached
-PACKAGE_STRING = memcached 1.5.10
+PACKAGE_STRING = memcached 1.5.22
 PACKAGE_TARNAME = memcached
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.5.10
+PACKAGE_VERSION = 1.5.22
 PATH_SEPARATOR = :
 PROFILER = /usr/bin/gcov
 PROFILER_FLAGS = -fprofile-arcs -ftest-coverage
@@ -202,9 +203,9 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = 
-VERSION = 1.5.10
+VERSION = 1.5.22
 XML2RFC = /usr/bin/xml2rfc
-XSLTPROC = no
+XSLTPROC = /usr/bin/xsltproc
 abs_builddir = /home/dormando/d/p/danga/git/memcached/doc
 abs_srcdir = /home/dormando/d/p/danga/git/memcached/doc
 abs_top_builddir = /home/dormando/d/p/danga/git/memcached
@@ -257,9 +258,15 @@
 top_builddir = ..
 top_srcdir = ..
 man_MANS = memcached.1
-EXTRA_DIST = *.txt
+SPECIFICATIONS = protocol-binary.txt protocol-binary-range.txt
+
+# When we make dist always include the generated specifications so people don't
+# have to have xml2rfc and xsltproc installed
+EXTRA_DIST = $(srcdir)/*.txt $(SPECIFICATIONS)
 BUILT_SOURCES = $(am__append_1)
-#MOSTLYCLEANFILES = protocol-binary.txt protocol-binary-range.txt
+MOSTLYCLEANFILES = $(am__append_2)
+RFC2629_XSL = $(srcdir)/xml2rfc/rfc2629-noinc.xsl
+RFC2629_DTD = $(srcdir)/xml2rfc/rfc2629.dtd
 all: $(BUILT_SOURCES)
 	$(MAKE) $(AM_MAKEFLAGS) all-am
 
@@ -356,9 +363,3 @@
 			   sort -u` ;; \
 	esac; \
 	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \

=== debian/changelog ===
memcached (1.5.22-2ubuntu0.3) focal-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2022-48571.patch: fix a null reference crash in
      memcached.c.
    - CVE-2022-48571

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 07 Sep 2023 09:42:48 -0300

memcached (1.5.22-2ubuntu0.2) focal; urgency=medium

  * Enable TLS capabilities present in Memcached since version 1.5.13.
    TLS support is required in order to harden Memcached deployments in
    cloud environments or similar scenarios where the network is not to
    be entirely trusted. (LP: #1887943)
    - d/rules: set --enable-tls
    - d/control: add libio-socket-ssl-perl to run build time ssl tests
    - d/control: add libssl dependency

 -- Moisés Guimarães de Medeiros <moguimar@redhat.com>  Mon, 24 Aug 2020 15:14:26 +0200

memcached (1.5.22-2ubuntu0.1) focal; urgency=medium

  * d/p/fix-bug-where-sasl-will-load-config-the-wrong-path.patch:
    Fix the path from which SASL configuration is loaded.  (LP: #1878721)
    The bug happened because sasl expects memcached to provide a
    path (i.e., a directory, not a filename) where the sasl
    configuration file(s) is (are).  However, memcached was passing
    the filename (/etc/sasl2/memcached.conf) to sasl, which was
    interpreting it as a directory, and looking for a configuration
    file inside it (i.e., /etc/sasl2/memcached.conf/memcached.conf).
    Users could workaround this bug by creating a directory named
    /etc/sasl2/memcached.conf/, and putting the configuration file
    inside it.  This patch not only fixes this bug (by passing the
    right directory, /etc/sasl2/, to sasl) but also supports the
    workaround described above.

 -- Anders Kaseorg <andersk@mit.edu>  Thu, 14 May 2020 17:13:17 -0700

memcached (1.5.22-2) unstable; urgency=medium

  * Apply a patch (merged upstream) to fix FTFBS on s390x, etc. Thanks,
    Christian Ehrhardt. (Closes: #950777)

 -- Chris Lamb <lamby@debian.org>  Thu, 06 Feb 2020 15:57:03 +0000

memcached (1.5.22-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes1521>

 -- Chris Lamb <lamby@debian.org>  Tue, 04 Feb 2020 11:45:44 +0100

memcached (1.5.21-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes1521>
  * Bump Standards-Version to 4.5.0.
  * Refresh 0004-Don-t-run-some-upstream-tests.patch patch.

 -- Chris Lamb <lamby@debian.org>  Sun, 26 Jan 2020 11:41:26 +0000

memcached (1.5.20-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes1520>
  * Refresh 0004-Don-t-run-some-upstream-tests.patch.

 -- Chris Lamb <lamby@debian.org>  Tue, 12 Nov 2019 10:21:40 +0100

memcached (1.5.19-2) unstable; urgency=medium

  * Add iproute2 to autopkgtest dependencies. (Closes: #942183)
  * Try and ensure that memcached is running in the tests.
  * Bump Standards-Version to 4.4.1.

 -- Chris Lamb <lamby@debian.org>  Fri, 11 Oct 2019 08:34:04 -0700

memcached (1.5.19-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes1519>

 -- Chris Lamb <lamby@debian.org>  Thu, 03 Oct 2019 11:59:13 +0100

memcached (1.5.18-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes1518>
  * Specify "Rules-Requires-Root: no".

 -- Chris Lamb <lamby@debian.org>  Tue, 24 Sep 2019 10:32:58 +0100

memcached (1.5.17-2) unstable; urgency=medium

  * In the systemd service file, specify PIDFile=/run/memcached/memcached.pid
    over /var/run/memcached/memcached.pid.
  * Add missing ${perl:Depends} to binary dependencies.
  * Update package short description.
  * Rename/refresh all patches.
  * Add a gitlab-ci.yml.

 -- Chris Lamb <lamby@debian.org>  Sat, 21 Sep 2019 17:59:36 +0200

memcached (1.5.17-1) unstable; urgency=medium

  * Adopt package. (Closes: #939425)
  * New upstream release. (Closes: #924584)
    - CVE-2019-15026: Fix a stack-based buffer overread in conn_to_str.
      (Closes: #939337)
    - Release notes:
      <https://github.com/memcached/memcached/wiki/ReleaseNotes1517>
    - Don't use unaligned access on ARM; merged upstream. (Closes: #879797)
    - Fix an issue with t/refhang.t hanging on s390x; merged upstream.
      (Closes: #835456)
    - Fix a timeout in the lru-crawler.t tests; merged upstream.
      (Closes: #789835)
  * Source /etc/default/memcached in /etc/init.d/memcached. (Closes: #934542)
  * Add a Pre-Depends on "${misc:Pre-Depends}" to ensure a correct dependency
    on init-system-helpers for the --skip-systemd-native flag.
  * Install README.damemtop to /usr/share/doc/memcached instead of under
    /usr/share/memcached.
  * Drop 08_fix-segfault-in-lru-command.patch patch; applied upstream.
  * Misc tidying:
    - Move to debhelper-compat virtual package, level 12; drop now-unnecessary
      Build-Depends on autotools-dev and dh-autoreconf, drop unnecessary
      --parallel "dh" argument, don't use the "systemd" dh sequencer, etc.
    - Bump Standards-Version to 4.4.0.
    - Move all URIs to HTTPS/SSL.
    - Refresh all patches.
    - wrap-and-sort -sa.
    - Drop trailing whitespaces.
  * Drop version from lsb-base dependency; satisfied in stretch.

 -- Chris Lamb <lamby@debian.org>  Fri, 06 Sep 2019 14:44:13 +0100

memcached (1.5.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix NULL pointer dereference in the "lru mode" and "lru temp_ttl" commands
    (CVE-2019-11596) (Closes: #928205)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 05 May 2019 13:36:30 +0200

=== debian/control ===
Source: memcached
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends:
 adduser,
 debhelper-compat (= 12),
 libevent-dev,
 libio-socket-ssl-perl <!nocheck>,
 libsasl2-dev,
 libssl-dev,
Homepage: https://memcached.org/
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/lamby/pkg-memcached
Vcs-Git: https://salsa.debian.org/lamby/pkg-memcached.git
Rules-Requires-Root: no

Package: memcached
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 libssl1.1,
 lsb-base,
 perl,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Suggests:
 libanyevent-perl,
 libcache-memcached-perl,
 libmemcached,
 libterm-readkey-perl,
 libyaml-perl,
Description: High-performance in-memory object caching system
 Danga Interactive developed memcached to enhance the speed of LiveJournal.com,
 a site which was already doing 20 million+ dynamic page views per day for 1
 million users with a bunch of webservers and a bunch of database servers.
 memcached dropped the database load to almost nothing, yielding faster page
 load times for users, better resource utilization, and faster access to the
 databases on a memcache miss.
 .
 memcached optimizes specific high-load serving applications that are designed
 to take advantage of its versatile no-locking memory access system. Clients
 are available in several different programming languages, to suit the needs
 of the specific application. Traditionally this has been used in mod_perl
 apps to avoid storing large chunks of data in Apache memory, and to share
 this burden across several machines.

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	doc/Makefile
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-sasl
+	dh_auto_configure -- --enable-sasl --enable-tls
 
 override_dh_auto_install:
 	dh_auto_install
@@ -26,22 +26,12 @@
 		$(CURDIR)/debian/memcached.init
 	install -m 755 $(CURDIR)/scripts/memcached.service \
 		$(CURDIR)/debian/memcached.service
-	# Check for LP: #1755460
-	if grep -i '##safer##' $(CURDIR)/debian/memcached.service >/dev/null 2>&1; then echo "ERROR: debian/patches/restore-systemd-sandboxing is incomplete; please see LP: #1755460" >&2; exit 1; fi
 	install -m 755 $(CURDIR)/scripts/damemtop $(SCRIPTS)
 	install -m 644 $(CURDIR)/scripts/damemtop.yaml $(SCRIPTS)
-	install -m 644 $(CURDIR)/scripts/README.damemtop $(SCRIPTS)
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm --force $(CURDIR)/debian/memcached.init
-
-
-override_dh_auto_test:
-  ifeq (,$(filter $(DEB_HOST_ARCH), armhf))
-	dh_auto_test
-  endif
-
+	rm --force $(CURDIR)/debian/memcached.init $(CURDIR)/debian/memcached.service
 
 %:
-	dh $@ --parallel --with systemd,autoreconf
+	dh $@ --with autoreconf

=== debian/tests/control ===
Tests: daemon client.pl
Depends:
 memcached,
 iproute2,
Restrictions: needs-root, isolation-container

## memcached 1.6.6

=== doc/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.15.1 from Makefile.am.
+# Makefile.in generated by automake 1.16.1 from Makefile.am.
 # doc/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2017 Free Software Foundation, Inc.
+# Copyright (C) 1994-2018 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -153,12 +153,12 @@
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
 am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/dormando/d/p/danga/git/memcached/missing aclocal-1.15
+ACLOCAL = ${SHELL} /home/dormando/d/p/danga/git/memcached/missing aclocal-1.16
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 1
 AUTOCONF = ${SHELL} /home/dormando/d/p/danga/git/memcached/missing autoconf
 AUTOHEADER = ${SHELL} /home/dormando/d/p/danga/git/memcached/missing autoheader
-AUTOMAKE = ${SHELL} /home/dormando/d/p/danga/git/memcached/missing automake-1.15
+AUTOMAKE = ${SHELL} /home/dormando/d/p/danga/git/memcached/missing automake-1.16
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -192,10 +192,10 @@
 PACKAGE = memcached
 PACKAGE_BUGREPORT = memcached@googlegroups.com
 PACKAGE_NAME = memcached
-PACKAGE_STRING = memcached 1.5.22
+PACKAGE_STRING = memcached 1.6.6
 PACKAGE_TARNAME = memcached
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.5.22
+PACKAGE_VERSION = 1.6.6
 PATH_SEPARATOR = :
 PROFILER = /usr/bin/gcov
 PROFILER_FLAGS = -fprofile-arcs -ftest-coverage
@@ -203,7 +203,7 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = 
-VERSION = 1.5.22
+VERSION = 1.6.6
 XML2RFC = /usr/bin/xml2rfc
 XSLTPROC = /usr/bin/xsltproc
 abs_builddir = /home/dormando/d/p/danga/git/memcached/doc
@@ -288,8 +288,8 @@
 	  *config.status*) \
 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
 	  *) \
-	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
-	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
+	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
+	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
 	esac;
 
 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
@@ -350,7 +350,10 @@
 cscope cscopelist:
 
 
-distdir: $(DISTFILES)
+distdir: $(BUILT_SOURCES)
+	$(MAKE) $(AM_MAKEFLAGS) distdir-am
+
+distdir-am: $(DISTFILES)
 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 	list='$(DISTFILES)'; \
@@ -359,7 +362,3 @@
 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
 	case $$dist_files in \
 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \

=== debian/changelog ===
memcached (1.6.6-3ubuntu1) groovy; urgency=medium

  * d/p/use_signal_instead_of_sigignore.patch:
    Replace use of deprecated sigignore() with signal() to fix FTBFS in
    groovy.
    (LP: #1897823)

 -- Bryce Harrington <bryce@canonical.com>  Wed, 30 Sep 2020 14:29:41 -0700

memcached (1.6.6-3) unstable; urgency=medium

  * Add libio-socket-ssl-perl to test dependencies.
  * Disable TLS on armhf for now.
  * Clarify forwarded status of all patches.
  * Bump debhelper compat level to 13.

 -- Chris Lamb <lamby@debian.org>  Mon, 24 Aug 2020 11:38:51 +0100

memcached (1.6.6-2) unstable; urgency=medium

  [ Moisés Guimarães de Medeiros ]
  * Enable TLS capabilities by default. (Closes: #968603)

  [ Chris Lamb ]
  * Drop unnecessary dependency on dh-autoreconf.
  * Run "wrap-and-sort -sa".

 -- Chris Lamb <lamby@debian.org>  Tue, 18 Aug 2020 16:26:07 +0100

memcached (1.6.6-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTBFS on s390x and other architectures. (Closes: #960459)

 -- Chris Lamb <lamby@debian.org>  Wed, 13 May 2020 10:10:16 +0100

memcached (1.6.5-2) unstable; urgency=medium

  * Attempt to fix failing autopkgtest that assumes a particular string is in
    the first 1KiB of the response.

 -- Chris Lamb <lamby@debian.org>  Sat, 18 Apr 2020 22:05:46 +0100

memcached (1.6.5-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes165>

 -- Chris Lamb <lamby@debian.org>  Wed, 15 Apr 2020 11:19:14 +0100

memcached (1.6.3-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes163>

 -- Chris Lamb <lamby@debian.org>  Wed, 01 Apr 2020 10:30:06 +0100

memcached (1.6.2-1) unstable; urgency=medium

  * New upstream security release. (Closes: #954808)
    <https://github.com/memcached/memcached/wiki/ReleaseNotes162>

 -- Chris Lamb <lamby@debian.org>  Mon, 23 Mar 2020 19:56:59 +0000

memcached (1.6.1-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes161>

 -- Chris Lamb <lamby@debian.org>  Thu, 19 Mar 2020 18:25:33 +0000

memcached (1.6.0-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes160>
  * Drop "stats_prefix-Remove-test-failure-due-to-non-determin.patch"; applied
    upstream.

 -- Chris Lamb <lamby@debian.org>  Wed, 11 Mar 2020 13:16:55 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
  adduser,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libevent-dev,
  libio-socket-ssl-perl <!nocheck>,
  libsasl2-dev,

=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,17 @@
 	MAKEFLAGS += -j$(NUMJOBS)
 endif
 
+ifeq (,$(filter $(DEB_HOST_ARCH),armhf))
+	CONFIGURE_ARGS=--enable-tls
+endif
+
 PKGBASE=debian/memcached/usr/share/memcached
 SCRIPTS=$(PKGBASE)/scripts
 UPSTREAM_AUTOCONF_GENERATED_FILES = aclocal.m4 configure \
 	doc/Makefile
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-sasl --enable-tls
+	dh_auto_configure -- --enable-sasl $(CONFIGURE_ARGS)
 
 override_dh_auto_install:
 	dh_auto_install
@@ -34,4 +38,4 @@
 	rm --force $(CURDIR)/debian/memcached.init $(CURDIR)/debian/memcached.service
 
 %:
-	dh $@ --with autoreconf
+	dh $@

## memcached 1.6.9%2Bdfsg

=== doc/Makefile ===
--- 
+++ 
@@ -192,10 +192,10 @@
 PACKAGE = memcached
 PACKAGE_BUGREPORT = memcached@googlegroups.com
 PACKAGE_NAME = memcached
-PACKAGE_STRING = memcached 1.6.6
+PACKAGE_STRING = memcached 1.6.9
 PACKAGE_TARNAME = memcached
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.6.6
+PACKAGE_VERSION = 1.6.9
 PATH_SEPARATOR = :
 PROFILER = /usr/bin/gcov
 PROFILER_FLAGS = -fprofile-arcs -ftest-coverage
@@ -203,7 +203,7 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = 
-VERSION = 1.6.6
+VERSION = 1.6.9
 XML2RFC = /usr/bin/xml2rfc
 XSLTPROC = /usr/bin/xsltproc
 abs_builddir = /home/dormando/d/p/danga/git/memcached/doc

## memcached 1.6.9+dfsg

=== debian/changelog ===
memcached (1.6.9+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Wed, 25 Nov 2020 10:25:05 +0000

memcached (1.6.8+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Wed, 28 Oct 2020 10:27:52 +0000

memcached (1.6.7+dfsg-3) unstable; urgency=medium

  * Try and get the tests to pass again.

 -- Chris Lamb <lamby@debian.org>  Fri, 18 Sep 2020 11:34:35 +0100

memcached (1.6.7+dfsg-2) unstable; urgency=medium

  * Run tests in single CPU mode. Thanks, Tomas Korbar. (Closes: #968603)

 -- Chris Lamb <lamby@debian.org>  Tue, 15 Sep 2020 12:22:53 +0100

memcached (1.6.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch.

 -- Chris Lamb <lamby@debian.org>  Tue, 15 Sep 2020 12:22:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: memcached
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
  adduser,
  debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -7,17 +7,13 @@
 	MAKEFLAGS += -j$(NUMJOBS)
 endif
 
-ifeq (,$(filter $(DEB_HOST_ARCH),armhf))
-	CONFIGURE_ARGS=--enable-tls
-endif
-
 PKGBASE=debian/memcached/usr/share/memcached
 SCRIPTS=$(PKGBASE)/scripts
 UPSTREAM_AUTOCONF_GENERATED_FILES = aclocal.m4 configure \
 	doc/Makefile
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-sasl $(CONFIGURE_ARGS)
+	dh_auto_configure -- --enable-sasl
 
 override_dh_auto_install:
 	dh_auto_install
@@ -33,6 +29,12 @@
 	install -m 755 $(CURDIR)/scripts/damemtop $(SCRIPTS)
 	install -m 644 $(CURDIR)/scripts/damemtop.yaml $(SCRIPTS)
 
+override_dh_auto_test:
+ifeq (,$(filter $(DEB_BUILD_ARCH),armel armhf mips64el))
+	# SSL tests have a race condition and may hang
+	dh_auto_test --max-parallel=1
+endif
+
 override_dh_auto_clean:
 	dh_auto_clean
 	rm --force $(CURDIR)/debian/memcached.init $(CURDIR)/debian/memcached.service
